/////////////////////////////////////////////////////////////////////////////////
//
// This file is part of SACAMOS, cable models for EMI simulations in SPICE.
// It was developed by the University of Nottingham and the Netherlands Aerospace
// Centre (NLR) for ESA under contract number 4000112765/14/NL/HK.
//
// Copyright (C) 2015 - 2018 University of Nottingham
//
// SACAMOS is free software: you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your option) any later
// version.
//
// SACAMOS is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// A copy of the GNU General Public License version 3 can be found in the
// file GNU_GPL_v3 in the root or at <http://www.gnu.org/licenses/>.
//
// wxWidgets is currently licenced under the "wxWindows Library Licence".
// A copy of the wxWindows Library Licence, Version 3.1 can be found in the file
// wxWindows_Library_Licence_v3-1 in the root or at:
// <https://www.wxwidgets.org/about/licence/>
//
// The University of Nottingham can be contacted at: ggiemr@nottingham.ac.uk
//
// File Contents:
//
// NAME
//     RUN_STATUS.cpp
//
// DESCRIPTION
//     Display information contained in run_status file
//
// AUTHOR(S)
//     Steve Greedy
//
/////////////////////////////////////////////////////////////////////////////////

#include "RUN_STATUS.h"

//(*InternalHeaders(RUN_STATUS)
#include <wx/intl.h>
#include <wx/string.h>
//*)

//(*IdInit(RUN_STATUS)
const long RUN_STATUS::ID_TEXTCTRL1 = wxNewId();
//*)

BEGIN_EVENT_TABLE(RUN_STATUS,wxDialog)
	//(*EventTable(RUN_STATUS)
	//*)
END_EVENT_TABLE()

RUN_STATUS::RUN_STATUS(wxWindow* parent,wxWindowID id,const wxPoint& pos,const wxSize& size)
{
	//(*Initialize(RUN_STATUS)
	wxFlexGridSizer* FlexGridSizer1;

	Create(parent, wxID_ANY, _("SACAMOS: Run Status"), wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE, _T("wxID_ANY"));
	FlexGridSizer1 = new wxFlexGridSizer(0, 1, 0, 0);
	TextCtrl1 = new wxTextCtrl(this, ID_TEXTCTRL1, wxEmptyString, wxDefaultPosition, wxSize(250,150), wxTE_MULTILINE|wxTE_WORDWRAP|wxVSCROLL, wxDefaultValidator, _T("ID_TEXTCTRL1"));
	FlexGridSizer1->Add(TextCtrl1, 1, wxALL|wxALIGN_CENTER_HORIZONTAL|wxALIGN_CENTER_VERTICAL, 5);
	SetSizer(FlexGridSizer1);
	FlexGridSizer1->Fit(this);
	FlexGridSizer1->SetSizeHints(this);

	Connect(wxID_ANY,wxEVT_INIT_DIALOG,(wxObjectEventFunction)&RUN_STATUS::OnInit);
	//*)
}

RUN_STATUS::~RUN_STATUS()
{
	//(*Destroy(RUN_STATUS)
	//*)
}

void RUN_STATUS::DisplayRunStatus()
{
    wxString RunStatusFile= "run_status";
    wxString text;
    wxTextFile StatusFile;

    if (StatusFile.Open(RunStatusFile))
    {
        for (int i = 0; i<int(StatusFile.GetLineCount()); i++)
        {
            text = text + StatusFile[i];

            text = text + "\n";
        }
    TextCtrl1->SetValue(text);
    }

    if (!StatusFile.Open(RunStatusFile))
    {
        DisplayRunStatus();
    }

    StatusFile.Close();
}



void RUN_STATUS::OnInit(wxInitDialogEvent& event)
{
    DisplayRunStatus();
}
